Bug 488969 - Webcam (1b3b:2937) not supported
Webcam (1b3b:2937) not supported
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 10:45 EST by Steve Fox
Modified: 2009-12-18 03:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Fox 2009-03-06 10:45:03 EST
Description of problem:

My webcam is not recognized by Fedora 10. It is a USB connected lamp with a built-in camera and microphone and a 4-port USB hub. Unfortunately I do not know the manufacturer, but when I plug it in, I see this output in /var/log/messages

Mar  6 08:41:25 flooterbu kernel: usb 2-7: new full speed USB device using ohci_hcd and address 7
Mar  6 08:41:26 flooterbu kernel: usb 2-7: configuration #1 chosen from 1 choice
Mar  6 08:41:26 flooterbu kernel: hub 2-7:1.0: USB hub found
Mar  6 08:41:26 flooterbu kernel: hub 2-7:1.0: 4 ports detected
Mar  6 08:41:26 flooterbu kernel: usb 2-7: New USB device found, idVendor=058f, idProduct=9254
Mar  6 08:41:26 flooterbu kernel: usb 2-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Mar  6 08:41:26 flooterbu kernel: usb 2-7: Product: Generic USB Hub
Mar  6 08:41:26 flooterbu kernel: usb 2-7: Manufacturer: ALCOR
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2: new full speed USB device using ohci_hcd and address 8
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2: configuration #1 chosen from 1 choice
Mar  6 08:41:26 flooterbu kernel: hub 2-7.2:1.0: USB hub found
Mar  6 08:41:26 flooterbu kernel: hub 2-7.2:1.0: 4 ports detected
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2: New USB device found, idVendor=058f, idProduct=9254
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2: Product: Generic USB Hub
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2: Manufacturer: ALCOR
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2.2: new full speed USB device using ohci_hcd and address 9
Mar  6 08:41:26 flooterbu kernel: usb 2-7.2.2: configuration #1 chosen from 1 choice
Mar  6 08:41:27 flooterbu kernel: usb 2-7.2.2: New USB device found, idVendor=1b3b, idProduct=2937
Mar  6 08:41:27 flooterbu kernel: usb 2-7.2.2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Mar  6 08:41:27 flooterbu pulseaudio[2750]: alsa-util.c: Device hw:0 doesn't support 44100 Hz, changed to 16000 Hz.
Mar  6 08:41:27 flooterbu pulseaudio[2750]: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 1.

No /dev/video* devices are created.

I'm assuming the vendor/product string for the webcam is 1b3b:2937. Searching Google for that string returns a link to a Spanish Ubuntu forum at http://www.ubuntu-es.org/index.php?q=node/108876 which refers to a "MSI StarCam mini". 

I have the following relevant software:
kernel-2.6.27.19-170.2.35.fc10.i686
libusb-0.1.12-20.fc10.i386
libv4l-0.5.8-1.fc10.i386
Comment 1 Dave King 2009-05-11 08:31:00 EDT
I have one of these with an IBM logo on it.  The driver disk that shipped with it contains a Windows program named iP293x.exe.  A Google search based on that suggests that this web cam is based on the iPassion iP2936/37 series of chips.  Given that the USB product id is 2937, I assume that this one uses the iP2397 chip.  This web cam has a microphone and the iP2937 chip supports microphones.  The technical brochure for this chip is http://www.ipassion.com.tw/pdf/iP2937_DSH_1.pdf.  The web cam is housed in a table lamp style housing that has the model number ZUL300, China patent 200630120734.X.  Searching on that finds lots of different table lamp configurations, sold as promotional items, only some of which incorporate web cams.  That search also finds a couple other folks who are trying to get this web cam working under Linux, without success.  Works fine in Windows though :-)
Comment 2 Bug Zapper 2009-11-18 06:17:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 03:58:07 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.